BrightLink 450Wi Interactive Projector

Selected FAQ

Q:
Is Easy Interactive Driver supported by Snow Leopard in 64-bit mode?
A:
Easy Interactive Driver v.1.02 or later is supported by Snow Leopard in 64-bit mode. If you have an earlier version installed, you can update it by downloading and installing the latest version from the Drivers & Downloads page.
Published: October 5, 2010

Was this helpful? Yes No Didn't Apply

Viewed FAQs

Return to Main FAQs Page